List cell components for the current organization scoped to a project
curl --request GET \
--url https://api.ionworks.com/cell_componentsimport requests
url = "https://api.ionworks.com/cell_components"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/cell_components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"component_type": "cathode",
"material_id": "<string>",
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"properties": {},
"created_by": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List cell components for the current organization scoped to a project
Retrieve cell components for the current organization scoped to a project.
List cell components for the current organization scoped to a project
Query Parameters
Project to scope components to
Filter by component type Enum for cell component types.
Available options:
cathode, anode, electrolyte, separator, case, cell Response
Successful Response
Type of the component
Available options:
cathode, anode, electrolyte, separator, case, cell ID of the material
Unique identifier for the component
Organization ID of the component
Project the component is scoped to, derived from the cell specification(s) that reference it.
Timestamp when the component was created
Timestamp when the component was last updated
Application properties using Quantity format for numerics. Example: {'diameter': {'value': 14, 'unit': 'mm'}, 'binder': 'PVDF'}
User ID of the creator.
Was this page helpful?